> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirebox.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update destination URL, subscribed events, or authentication token.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique webhook ID.
</ParamField>

### Body Parameters

<ParamField body="url" type="string">
  New HTTPS destination URL.
</ParamField>

<ParamField body="events" type="string[]">
  Updated array of subscribed event types.
</ParamField>

<ParamField body="auth_token" type="string">
  Updated bearer token (or pass `null` to remove it).
</ParamField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "whk_01J8DEF456GHI789",
    "url": "https://agent.example.com/api/webhooks",
    "events": [
      "message.received",
      "message.sent",
      "message.delivered",
      "message.bounced"
    ],
    "agent_handle": "eva",
    "auth_token": "updated_secret_token_456",
    "has_auth_token": true,
    "created_at": "2026-09-11T10:00:00Z",
    "updated_at": "2026-09-11T12:00:00Z"
  }
  ```
</ResponseExample>
